%define name wdiff
%define version 0.6.1
%define release %mkrel 1

Summary: Word-based diff front end
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnu.org/pub/gnu/wdiff/%{name}-%{version}.tar.bz2
License: GPLv2+
Group: Text tools
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libtermcap-devel
BuildRequires: texinfo
URL: http://www.gnu.org/software/wdiff/wdiff.html

%description
GNU wdiff is a front-end to GNU diff.  It compares two files, finding
which words have been deleted or added to the first in order to create
the second.  It has many output formats and interacts well with
terminals and pagers (notably with less).  GNU wdiff is particularly
useful when two texts differ only by a few words and paragraphs have
been refilled.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT *.lang
%makeinstall
%find_lang %name
%find_lang %name-gnulib
cat %name-gnulib.lang >> %name.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS THANKS TODO COPYING ChangeLog BACKLOG
%{_bindir}/wdiff
%_mandir/man1/wdiff.1*
%{_infodir}/wdiff.info*


%changelog
* Sun Apr 04 2010 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 531349
- new version
- drop patch
- update file list

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 0.5-9mdv2010.0
+ Revision: 395464
- spec fix
- update license

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.5-8mdv2009.0
+ Revision: 136571
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 11 2007 Götz Waschk <waschk@mandriva.org> 0.5-8mdv2008.0
+ Revision: 51178
- Import wdiff



* Mon Jul 10 2006 Gtz Waschk <waschk@mandriva.org> 0.5-8mdv2007.0
- rebuild

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.5-7mdv2007.0
- get latest patch from Debian
- source URL

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 0.5-7mdk
- Rebuild

* Thu Jun 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-6mdk
- fix buildrequires

* Fri Jul 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-5mdk
- build without curses
- yet another buildrequires fix

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-4mdk
- another buildrequires fix

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- remove prefix
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- rebuild

* Fri Mar 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- initial package based on debian package
